%define upstream_name Shell-Config-Generate
%define upstream_version 0.34

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Portably generate config for any shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Shell/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Shell::Guess) >= 0.20.0
BuildRequires: perl(Test2::API) >= 1.302.15
BuildRequires: perl(Test2::Mock) >= 0.0.60
BuildRequires: perl(Test2::V0) >= 0.0.60
BuildArch:  noarch

%description
This module provides an interface for specifying shell configurations
for different shell environments without having to worry about the
arcane differences between shells such as csh, sh, cmd.exe and
command.com.

It does not modify the current environment, but it can be used to
create shell configurations which do modify the environment.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.340.0-3.mga9
+ Revision: 1811140
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.340.0-2.mga8
+ Revision: 1520836
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 0.340.0-1.mga8
+ Revision: 1489052
- update to 0.34

* Mon Dec 10 2018 tv <tv> 0.330.0-1.mga7
+ Revision: 1339934
- update to 0.33

* Thu Sep 20 2018 umeabot <umeabot> 0.310.0-2.mga7
+ Revision: 1285990
- Mageia 7 Mass Rebuild

* Fri Oct 27 2017 tv <tv> 0.310.0-1.mga7
+ Revision: 1173991
- update to 0.31

* Tue Oct 03 2017 tv <tv> 0.290.0-2.mga7
+ Revision: 1166502
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.290.0-1.mga7
+ Revision: 1159471
- update to 0.29

* Wed Jul 19 2017 sander85 <sander85> 0.260.0-1.mga7
+ Revision: 1125065
- update to 0.26

* Sun May 08 2016 shlomif <shlomif> 0.250.0-1.mga6
+ Revision: 1010782
- update to 0.25

* Fri Feb 19 2016 umeabot <umeabot> 0.240.0-2.mga6
+ Revision: 969419
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.240.0-1.mga6
+ Revision: 868675
- update to 0.24

* Sun Jul 05 2015 sander85 <sander85> 0.220.0-1.mga6
+ Revision: 851103
- imported package perl-Shell-Config-Generate

